账户提现发起
- Endpoint:
POST /aggregate-pay/api/gateway/applyWithdraw - Tags: 资金账户(新)
Description
发起提现交易
Parameters
| Field | In | Type | Required | Constraints | Description |
|---|---|---|---|---|---|
Content-Type | header | string | Yes | ||
sign | header | string | Yes | 签名信息请参考技术文档 |
Parameter Examples
Content-Type:"application/json"sign:"FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="
Request Body
Required
Content-Type: application/json
| Field | Type | Required | Constraints | Description | Enum |
|---|---|---|---|---|---|
version | string | Yes | 当前值为:1.5 | ||
keyVersion | string | Yes | 当前值为:1 | ||
requestTime | string | Yes | 符合rfc3339规范,格式:yyyy-MM-dd'T'HH:mm:ss.SSSXXX 时间需要在当前时间两分钟内 | ||
appId | string | Yes | PayerMax分配给商户应用的唯一标识,会员维度的集成appid | ||
memberId | string | Yes | |||
data | object | Yes | |||
data.outTradeNo | string | Yes | maxLength: 64 | 商户订单号,要保证商户下唯一 | |
data.payeeBankAccountNo | string | Yes | 收款银行账号,测试环境固定传送:456789213 产线根据商户实际银行账户传送 | ||
data.payerFundsAccountNo | string | Yes | 付款资金账户,可通过资金账户信息查询接口获取 | ||
data.remark | string | No | 附言 | ||
data.targetCurrency | string | Yes | maxLength: 3, minLength: 3 | 到账币种 | |
data.transactionAmount | string | Yes | 交易金额 | ||
data.transactionCurrency | string | Yes | 交易币种 | ||
data.callBackUrl | string | No | maxLength: 512 | 订单到达终态时的回调地址 |
Example
json
{
"version": "1.5",
"keyVersion": "1",
"requestTime": "2025-12-06T10:16:13.712+08:00",
"appId": "798b79c2e33a4d8e866410bf401551a7",
"memberId": "20250619P01B00000075000002",
"data": {
"outTradeNo": "20251206114448NU3693260005000973T05",
"payeeBankAccountNo": "456789213",
"payerFundsAccountNo": "P25101038984",
"remark": "this is a remark",
"targetCurrency": "USD",
"transactionAmount": "1000",
"transactionCurrency": "HKD",
"callBackUrl": "http://xxxx/yyyy"
}
}Responses
200
| Field | Type | Required | Constraints | Description | Enum |
|---|---|---|---|---|---|
msg | string | Yes | 返回描述,’Success.’ | ||
code | string | Yes | ’APPLY_SUCCESS’代表成功 | ||
data | object | Yes | |||
data.outTradeNo | string | Yes | 商户订单号 | ||
data.tradeNo | string | Yes | 平台订单号 | ||
data.status | string | Yes | -PROCESSING 处理中 -SUCCESS 成功 -FAILED 失败 | ||
data.transactionCurrency | string | Yes | 交易币种 | ||
data.transactionAmount | string | Yes | 交易金额 | ||
data.targetCurrency | string | Yes | 到账币种 | ||
data.targetAmount | string | Yes | 到账金额 | ||
data.rate | string | Yes | 汇率 | ||
data.rateTime | string | Yes | 汇率时间 | ||
data.remark | string | Yes | 备注 | ||
data.callBackUrl | string | Yes | 订单到达终态时的回调地址 | ||
data.payerFundsAccountNo | string | Yes | 付款资金账户 | ||
data.payeeBankAccountNo | string | Yes | 收款银行卡号 | ||
data.fee | object | Yes | 手续费 | ||
data.fee.serviceFeeAmount | string | Yes | 手续费金额 | ||
data.fee.serviceFeeCurrency | string | Yes | 手续费币种 | ||
data.memberId | string | Yes | 会员号 |
Response Example
json
{
"msg": "",
"code": "APPLY_SUCCESS",
"data": {
"transactionCurrency": "HKD",
"callBackUrl": "http://xxxx/yyyy",
"tradeNo": "20251206021056NU2522925908000536T05",
"targetCurrency": "USD",
"targetAmount": "107.95",
"rateTime": "2025-12-06T02:16:54.906Z",
"payeeBankAccountNo": "456789213",
"fee": {
"serviceFeeAmount": "20.00",
"serviceFeeCurrency": "USD"
},
"remark": "this is a remark",
"payerFundsAccountNo": "P25101038984",
"rate": "0.12794746",
"outTradeNo": "20251206114448NU3693260005000973T05",
"transactionAmount": "1000.00",
"status": "PROCESSING",
"memberId": "20250619P01B00000075000002"
}
}